Package org.apache.solr.common

## Class MapWriterMap

- java.lang.Object
- - org.apache.solr.common.MapWriterMap

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

    @Deprecated
    public class MapWriterMap
    extends Object
    implements MapWriter

Deprecated.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`MapWriterMap​(Map<String,​Object> delegate)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Object` `_get​(String path)` Deprecated. Get a child object value using json path.
`Object` `_get​(List<String> path, Object def)` Deprecated. Get a child object value using json path
`int` `_size()` Deprecated.
`Map<String,​Object>` `toMap​(Map<String,​Object> map)` Deprecated. Use the passed map to minimize object creation.
`void` `writeMap​(MapWriter.EntryWriter ew)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _getStr, _getStr, _getStr`

### Constructor Detail

#### MapWriterMap

    public MapWriterMap​(Map<String,​Object> delegate)

Deprecated.

### Method Detail

#### writeMap

    public void writeMap​(MapWriter.EntryWriter ew)
                  throws IOException

Deprecated.

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### _get

    public Object _get​(String path)

Deprecated.
Description copied from interface: `NavigableObject`
Get a child object value using json path. This usually ends up in String split operations use a list of strings where performance is important

Specified by:
  `_get` in interface `NavigableObject`
Parameters:
  `path` - the full path to that object such as a/b/c[4]/d etc
Returns:
  the found value or default

#### _get

    public Object _get​(List<String> path,
                       Object def)

Deprecated.
Description copied from interface: `NavigableObject`
Get a child object value using json path

Specified by:
  `_get` in interface `NavigableObject`
Parameters:
  `path` - the full path to that object such as ["a","b","c[4]","d"] etc
  `def` - the default
Returns:
  the found value or default

#### _size

    public int _size()

Deprecated.

Specified by:
  `_size` in interface `NavigableObject`

#### toMap

    public Map<String,​Object> toMap​(Map<String,​Object> map)

Deprecated.
Description copied from interface: `MapSerializable`
Use the passed map to minimize object creation. Do not keep a reference to the passed map and reuse it. it may be reused by the framework

Specified by:
  `toMap` in interface `MapSerializable`
Specified by:
  `toMap` in interface `MapWriter`